CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
assertion_traits< double > Struct Template Reference

Traits used by CPPUNIT_ASSERT_DOUBLES_EQUAL(). More...

`#include <TestAssert.h>`

## Static Public Member Functions

static bool | equal (double x, double y)
static std::string | toString (double x)

## Detailed Description

### template<>
struct assertion_traits< double >

Traits used by CPPUNIT_ASSERT_DOUBLES_EQUAL().

This specialisation from `struct` `assertion_traits<>` ensures that doubles are converted in full, instead of being rounded to the default 6 digits of precision. Use the system defined ISO C99 macro DBL_DIG within float.h is available to define the maximum precision, otherwise use the hard-coded maximum precision of 15.

## Member Function Documentation

static bool assertion_traits< double >::equal | ( | double | x,
|  | double | y
| ) |  |

inline static

static std::string assertion_traits< double >::toString | ( | double | x | ) |

inline static

The documentation for this struct was generated from the following file:

- TestAssert.h

| Send comments to: CppUnit Developers